const std = @import("std");
const Db = @import("Db.zig");

const Item = @import("Item.zig");
const Tag = @import("Tag.zig");
const json = @import("json.zig");
const request = @import("request.zig");

pub fn main() !void {

    var db = Db.open("test.tkh", true, "");
    db.set("test", "lol");
    db.set("kaka", "jeje");
    db.set("kaka", "poop");

    var str = db.get("test");
    defer Db.free(str.ptr);
    std.debug.print("{s}\n", .{str});

    const num = 69420;
    const numch = try Db.numEncode(num);
    std.debug.print("{}\n", .{Db.numDecode(numch[0..])});
    std.debug.print("{}\n", .{num});

    //var db = try Db.init();
//
    //const jsonText: [:0]const u8 =
        //\\{ "add" : [
        //\\    {
        //\\        "fur": "dusk",
        //\\        "made_with": "krita",
        //\\        "date": "2022-10-01",
        //\\        "alunya": null
        //\\    },{
        //\\        "fur": "lara",
        //\\        "made_with": "krita",
        //\\        "date": "2022-04-08",
        //\\        "cell-shading": null
        //\\    },{
        //\\        "made_with": "ballpoint_pen",
        //\\        "date": "2022-11-04",
        //\\        "practice": "",
        //\\        "pose_practice": null
        //\\    },{
        //\\        "fur": "lidiarock1",
        //\\        "made_with": "krita",
        //\\        "date": "2022-02-15",
        //\\        "niko_(oneshot)": null
        //\\    }
        //\\] }
    //;
//
    //var jobj = json.Obj.newFromString(jsonText);
    //defer jobj.deinit();
//
    //try request.process(&jobj, &db);
//
    //std.debug.print("\n\n", .{});
//
    //const jsonQuery: [:0]const u8 =
        //\\{ "query" : "niko_(oneshot) made_with:krita -fur:dusk" }
    //;
//
    //var jquery = json.Obj.newFromString(jsonQuery);
    //defer jquery.deinit();
//
    //try request.process(&jquery, &db);
}
